Revert "driver: use PROGBITS type for .debug-ghc-link-info section"
AbandonedPublic

Authored by thomie on Nov 4 2015, 5:20 AM.

Details

Reviewers
hsyl20
austin
bgamari
Trac Issues
#11022
Summary

This reverts commit f78b477bd0ba1f85089c515259c9e3145abd1f7b
(Phab:D1375, Trac #11022).

This patch has a bad interaction with function-sections (Phab:D1242):
the link-info section added by GHC is garbage collected by
--gc-sections when the PROGBITS section type is used (confirmed by
@olsner with --print-gc-sections).

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6524
Build 7555: GHC Patch Validation (amd64/Linux)
Build 7554: arc lint + arc unit
thomie updated this revision to Diff 4917.Nov 4 2015, 5:20 AM
thomie retitled this revision from to Revert "driver: use PROGBITS type for .debug-ghc-link-info section".
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)
thomie added a reviewer: hsyl20.
thomie updated the Trac tickets for this revision.
thomie added a subscriber: olsner.
hsyl20 edited edge metadata.Nov 5 2015, 5:31 AM

I have updated D1381 so that if it gets applied this revert would not be necessary.

thomie planned changes to this revision.Nov 5 2015, 1:44 PM

I'll probably abandon this later.

thomie abandoned this revision.Nov 12 2015, 9:55 AM

Superseded by 109d7ce85aadbd9fb7a322a0a83548e5d4e83926.